header {
    z-index: 999;
    position: sticky;
    top: 0;
    background-color: var(--wp--preset--color--base);
}

.logged-in header {
    top: var(--wp-admin--admin-bar--height);
}

html.has-modal-open header.wp-block-template-part {
    background-color: var(--wp--preset--color--base-variant) !important;
}

.wp-block-navigation .wp-block-navigation-item__content.wp-block-navigation-item__content {
    font-weight: 500;
}

header .wp-block-group:has(.wp-block-site-logo) .wp-block-navigation:not(.has-background) .wp-block-navigation__container > .wp-block-navigation-item.current-menu-item > a, header .wp-block-group:has(.wp-block-site-logo) .wp-block-navigation:not(.has-background) .wp-block-navigation__container > .wp-block-navigation-item.current-menu-ancestor > a, header .is-style-section-primary .wp-block-navigation .wp-block-navigation-item.current-menu-item > a, header .wp-block-group:has(.wp-block-site-logo) .wp-block-navigation:not(.has-background) .wp-block-navigation__container > .wp-block-navigation-item.current-menu-ancestor .wp-block-navigation-submenu .current-menu-item > a, .wp-block-navigation .wp-block-navigation__container > .wp-block-navigation-item.current-menu-item > a {
    color: var(--wp--preset--color--primary);
}


header .wp-block-group:has(.wp-block-site-logo) .wp-block-navigation:not(.has-background) .wp-block-navigation__container > .wp-block-navigation-item.current-menu-item > a,
header .wp-block-group:has(.wp-block-site-logo) .wp-block-navigation:not(.has-background) .wp-block-navigation__container > .wp-block-navigation-item.current-menu-ancestor > a,
header .is-style-section-primary .wp-block-navigation .wp-block-navigation-item.current-menu-item > a,
header .wp-block-group:has(.wp-block-site-logo) .wp-block-navigation:not(.has-background) .wp-block-navigation__container > .wp-block-navigation-item.current-menu-ancestor .wp-block-navigation-submenu .current-menu-item > a,
.wp-block-navigation .wp-block-navigation__container > .wp-block-navigation-item.current-menu-item > a {
    font-weight: 500;
}

header .wp-block-group:has(.wp-block-site-logo) .wp-block-navigation:not(.has-background) .wp-block-navigation__container > .wp-block-navigation-item.current-menu-ancestor .wp-block-navigation-submenu {
    font-weight: normal;
}

@media screen and (min-width: 1101px) {
    header .wp-block-group:has(.wp-block-site-logo) .wp-block-navigation:not(.has-background) .wp-block-navigation__container > .wp-block-navigation-item {
        padding-bottom: var(--wp--preset--spacing--40);
        padding-top: var(--wp--preset--spacing--40);
    }

    header .wp-block-navigation:not(.has-background) .wp-block-navigation-submenu .wp-block-navigation-item {
        padding: 0;
    }

    header .wp-block-navigation:not(.has-background) .wp-block-navigation__submenu-container {
        background-color: var(--wp--preset--color--base);
        border: 0;
        color: var(--wp--preset--color--contrast);
        border-radius: var(--wp--custom--global--border--radius--base);
        display: flex;
        flex-direction: column;
        gap: var(--wp--preset--spacing--30);
        padding: var(--wp--preset--spacing--50);
        min-width: 273px !important;
        left: 50% !important;
        transform: translateX(-50%);
        box-shadow: var(--wp--preset--shadow--subtle);
    }
    header .wp-block-navigation:not(.has-background) .wp-block-navigation__submenu-container * {
        position: relative;
        z-index: 3;
    }
    header .wp-block-navigation:not(.has-background) .wp-block-navigation__submenu-container:after {
        width: 100%;
        height: 100%;
        position: absolute;
        top: 0;
        left: 0;
        background-color: var(--wp--preset--color--base);
        display: block;
        z-index: 1;
    }
    
    header .wp-block-navigation:not(.has-background) .wp-block-navigation__submenu-container:before {
        content:'';
        width: 12px;
        height: 12px;
        z-index: 0;
        border-top-left-radius: 3px;
        background-color: var(--wp--preset--color--base);
        box-shadow: var(--wp--preset--shadow--subtle);
        position: absolute;
        top: 0;
        left: 50%;
        transform: translateX(-50%) translateY(-50%) rotate(45deg);
        display: block;
        pointer-events: none;
    }
    
    header .wp-block-navigation .has-child .wp-block-navigation__submenu-container>.wp-block-navigation-item>.wp-block-navigation-item__content {
        padding: 0;
        white-space: nowrap;
        position: relative;
        transition-timing-function: cubic-bezier(0.25, 0.1, 0.25, 1);
        transition-duration: .2s;
        left: 0;
    }
    .is-vertical.wp-block-navigation .wp-block-navigation-item__content.wp-block-navigation-item__content {
        transition-timing-function: cubic-bezier(0.25, 0.1, 0.25, 1);
        transition-duration: .2s;
        position: relative;
        left: 0;
    }
    .wp-block-navigation .wp-block-navigation-item__content.wp-block-navigation-item__content:hover {
        opacity: .8;
    }
}

/* Vertical */
.wp-block-buttons.is-vertical,
.wp-block-navigation.is-vertical .wp-block-navigation__container {
    gap: 12px;
}

.wp-block-buttons.is-vertical .wp-block-button a,
.wp-block-buttons.is-vertical .wp-block-button button {
    cursor: pointer !important;
}
header .wp-block-navigation__responsive-container-open.wp-block-navigation__responsive-container-open.wp-block-navigation__responsive-container-open:after {
    content: "\e998";
    font-family: "icomoon" !important;
    color: var(--wp--preset--color--contrast);
    font-size: 32px;
}
html.has-modal-open .wp-block-navigation__responsive-container-open.wp-block-navigation__responsive-container-open.wp-block-navigation__responsive-container-open:after {
    content: "\ea11";
}

header .wp-block-navigation__responsive-container-close svg,
header .wp-block-navigation__responsive-container-open svg {
    display: none;
}

/* Mobile Menu */
@media screen and (max-width: 1100px) {
    .wp-block-navigation__responsive-container-open:not(.always-shown) {
        display: flex !important;
    }

    .wp-block-navigation__responsive-container:not(.is-menu-open) {
        display: none !important;
    }

    header {
        height: 92px;
    }
    header {
        height: 92px;
    }
    .wp-block-site-logo.is-default-size img {
        width: 100px;
    }
    .wp-block-group:has(button.wp-block-navigation__responsive-container-open) {
        .wp-block-buttons {
            order: 1;
        }
        nav.wp-block-navigation {
            order: 2;
        }
    }
    header.wp-block-template-part .wp-block-navigation__responsive-container {
        background-color: var(--wp--preset--color--base-variant) !important;
        position: fixed;
        top: 92px;
        left: 0;
        width: 100%;
        box-sizing: border-box;
        height: calc(100svh - 92px);
        flex-direction: column;
        padding: var(--wp--style--root--padding-right);
        padding-top: calc(var(--header-height) + var(--wp--preset--spacing--40));
        z-index: 998;
        overflow-y: auto;
    }
    .logged-in header.wp-block-template-part .wp-block-navigation__responsive-container {
        top: calc(92px + var(--wp-admin--admin-bar--height));
        height: calc(100svh - 92px - var(--wp-admin--admin-bar--height));
    }
    .wp-block-navigation__responsive-container.is-menu-open .wp-block-navigation__responsive-container-content {
        padding-top: 0;
        align-items: flex-start
    }
    .wp-block-navigation__responsive-container.is-menu-open .wp-block-navigation__responsive-container-content .wp-block-navigation-item, .wp-block-navigation__responsive-container.is-menu-open .wp-block-navigation__responsive-container-content .wp-block-navigation__container, .wp-block-navigation__responsive-container.is-menu-open .wp-block-navigation__responsive-container-content .wp-block-page-list {
        align-items: flex-start;
        font-weight: 500;
        font-size: 16px;
        width: 100%;
        li.wp-block-navigation-item {
            border-bottom: 1px solid rgba(0,0,0,0.075);
            padding-bottom: 24px;
            &:last-child {
                border-bottom: none;
                padding-bottom: 0;
            }
            &.current-menu-item {
                a {
                    color: var(--wp--preset--color--primary);
                }
            }
        }
    }
    ul.wp-block-navigation__submenu-container.wp-block-navigation-submenu {
        padding: 12px 0 0 0 !important;
        gap: 8px !important;
        li.wp-block-navigation-item.wp-block-navigation-link {
            border-bottom: 0 !important;
            padding-bottom: 0 !important;
        }
        a.wp-block-navigation-item__content {
            font-size: 80%;
            padding: 0 !important;
            display: flex;
        }
    }
    .has-modal-open .admin-bar .is-menu-open .wp-block-navigation__responsive-dialog {
        margin-top: 24px;
    }
    .wp-block-navigation__responsive-container.is-menu-open .wp-block-navigation__responsive-container-content .wp-block-navigation__submenu-icon {
        display: flex;
        align-items: center;
        justify-content: center;
        margin: 0;
        width: 20px;
        height: 20px;
        svg {
            display: none;
        }
        &:after {
            content: "\e92e";
            font-size: 20px;
            font-family: "icomoon" !important;
        }
    }
    .wp-block-navigation-item.has-child .wp-block-navigation__submenu-container {
        display: none;
    }
    .wp-block-navigation-item.has-child.is-open .wp-block-navigation__submenu-container {
        display: block;
    }
    .wp-block-navigation-item.has-child.is-open button.wp-block-navigation__submenu-icon.wp-block-navigation-submenu__toggle {
        &:after {
            content: "\e931" !important;
        }
    }
}

.nav-item-wrap {
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 100%;
}
